質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.48%

macOSでPillowがインストールできない

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,227

score 1

環境は以下の通りです。

  • macOS BigSur(バージョン 11.0.1)
  • python 3.8.2
  • xcode 12.2
  • pip 20.2.4
  • CPU 3 GHz 6コアIntel Core i5
  • zlib 1.2.11

エラーの内容

pip install pillow==7.2


対応しているバージョンを指定しても、以下のエラーが出ます。

Collecting pillow==7.2
  Using cached Pillow-7.2.0.tar.gz (39.1 MB)
Building wheels for collected packages: pillow
  Building wheel for pillow (setup.py) ... error
  ERROR: Command errored out with exit status 1:
   command: /Users/Main/dev/blog/myvenv/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-install-90makenz/pillow/setup.py'"'"'; __file__='"'"'/private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-install-90makenz/pillow/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d /private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-wheel-zok3gouq
       cwd: /private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-install-90makenz/pillow/
  Complete output (170 lines):
  running bdist_wheel
  running build
  running build_py
  creating build
  ...
  ...
  ...
  writing manifest file 'src/Pillow.egg-info/SOURCES.txt'
  running build_ext


  The headers or library files could not be found for zlib,
  a required dependency when compiling Pillow from source.

  Please see the install instructions at:
     https://pillow.readthedocs.io/en/latest/installation.html

  Traceback (most recent call last):
    File "/private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-install-90makenz/pillow/setup.py", line 864, in <module>
      setup(
    File "/Users/Main/dev/blog/myvenv/lib/python3.8/site-packages/setuptools/__init__.py", line 145, in setup
      return distutils.core.setup(**attrs)
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/core.py", line 148, in setup
      dist.run_commands()
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/dist.py", line 966, in run_commands
      self.run_command(cmd)
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/dist.py", line 985, in run_command
      cmd_obj.run()
    File "/Users/Main/dev/blog/myvenv/lib/python3.8/site-packages/wheel/bdist_wheel.py", line 290, in run
      self.run_command('build')
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/cmd.py", line 313, in run_command
      self.distribution.run_command(command)
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/dist.py", line 985, in run_command
      cmd_obj.run()
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/command/build.py", line 135, in run
      self.run_command(cmd_name)
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/cmd.py", line 313, in run_command
      self.distribution.run_command(command)
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/dist.py", line 985, in run_command
      cmd_obj.run()
    File "/Users/Main/.pyenv/versions/3.8.2/lib/python3.8/distutils/command/build_ext.py", line 340, in run
      self.build_extensions()
    File "/private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-install-90makenz/pillow/setup.py", line 694, in build_extensions
      raise RequiredDependencyException(f)
  __main__.RequiredDependencyException: zlib

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "/private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-install-90makenz/pillow/setup.py", line 918, in <module>
      raise RequiredDependencyException(msg)
  __main__.RequiredDependencyException:

  The headers or library files could not be found for zlib,
  a required dependency when compiling Pillow from source.

  Please see the install instructions at:
     https://pillow.readthedocs.io/en/latest/installation.html


    ----------------------------------------
ERROR: Command errored out with exit status 1: /Users/Main/dev/blog/myvenv/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-install-90makenz/pillow/setup.py'"'"'; __file__='"'"'/private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-install-90makenz/pillow/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /private/var/folders/hn/x4x637952sd1ml9n7z6b6wsw0000gn/T/pip-record-e18ozz8v/install-record.txt --single-version-externally-managed --compile --install-headers /Users/Main/dev/blog/myvenv/include/site/python3.8/pillow Check the logs for full command output.

こんなに長いエラーが吐き出されます。

試したこと

  • pythonのバージョンを変えて試す。(3.8.0、3.8.2、3.8.3)
  • sudoで試す。

ググってみても正解に辿りづけずに困っています、よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • quickquip

    2020/11/29 23:59 編集

    Pythonをpyenvでインストールする時に、zlibが有効になるようにしましたか?
    (今はまだCFLAGSやLDFLAGSを明に指定しないとうまくビルドできないはずですが。参考 https://github.com/pyenv/pyenv/issues/1737#issuecomment-731672292

    あとマシンのCPUが何かを書いた方がよいかと思います。(追記、IntelかApple Siliconのどちらか、という意味です)

    キャンセル

  • quickquip

    2020/11/30 00:08

    > zlib 1.2.11
    >
    > インストールされています。

    どうやって表示したものですか?

    キャンセル

  • shinueda

    2020/11/30 00:12 編集

    ありがとうございます。

    pyenvでpythonをインストールする際に、添付URLの方法でインストールしていました。


    CPUは、
    3 GHz 6コアIntel Core i5

    brew install zlibをして、インストールされていることを再確認してみました。

    キャンセル

回答 1

checkベストアンサー

0

macOS 11.0.1
python(venv) 3.9.0

pip install pillow==7.2


pillowのバージョンを指定すると同様のエラーでインストールできませんでした。

pip install pillow


バージョンを指定しなければ 8.0.1 がインストールできました。
ここでpillow-8.0.1 を削除。

pip uninstall pillow

pillow-8.0.1 を削除。
Unable to install on macOS Big Sur (zlib missing) 

quickquipさんのコメントを拝見して、さらにこの記事を参考に zlib をインストール。

brew install zlib


zlib インストール後のメッセージに従って、環境変数を設定。

export LDFLAGS="-L/usr/local/opt/zlib/lib"
export CPPFLAGS="-I/usr/local/opt/zlib/include"
export PKG_CONFIG_PATH="/usr/local/opt/zlib/lib/pkgconfig"
pip install wheel
pip install pillow==7.2


インストールを確認

% pip show pillow
Name: Pillow
Version: 7.2.0
Summary: Python Imaging Library (Fork)
Home-page: https://python-pillow.org
Author: Alex Clark (PIL Fork Author)
Author-email: aclark@python-pillow.org
License: HPND
Location: /Users/hoge/fuga/venv/lib/python3.9/site-packages
Requires: 
Required-by: 

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る